package com.ruoyi.system.domain.urge;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 政协催办对象 zx_urge
 * 
 * @author boman
 * @date 2024-03-12
 */
public class ZxUrge extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 催办ID */
    private Long zxUrgeId;

    /** 提案/社情民意id */
    @Excel(name = "提案/社情民意id")
    private Long scoreId;

    /** 催办标题 */
    @Excel(name = "催办标题")
    private String urgeTitle;

    /** 催办类型（字典值）1：提案催办 2:社情名义催办 */
    @Excel(name = "催办类型", readConverterExp = "字=典值")
    private String urgeType;

    /** 催办内容 */
    @Excel(name = "催办内容")
    private String urgeContent;

    /** 催办状态 */
    private String status;

    /** 发布人 */
    @Excel(name = "发布人")
    private String issuer;

    /** 发布人id */
    @Excel(name = "发布人id")
    private Long issuerId;

    /** 发布单位 */
    @Excel(name = "发布单位")
    private String issuerDept;

    /** 发布单位id */
    @Excel(name = "发布单位id")
    private Long issuerDeptId;

    /** 接收人 */
    @Excel(name = "接收人")
    private String acceptUser;

    /** 接收人id */
    @Excel(name = "接收人id")
    private Long acceptUserId;

    /** 接收单位 */
    @Excel(name = "接收单位")
    private String acceptDept;

    /** 接收单位id */
    @Excel(name = "接收单位id")
    private Long acceptDeptId;

    /** 催办时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "催办时间", width = 30, dateFormat = "HH:mm:ss")
    private Date urgeTime;

    public void setZxUrgeId(Long zxUrgeId) 
    {
        this.zxUrgeId = zxUrgeId;
    }

    public Long getZxUrgeId() 
    {
        return zxUrgeId;
    }
    public void setScoreId(Long scoreId) 
    {
        this.scoreId = scoreId;
    }

    public Long getScoreId() 
    {
        return scoreId;
    }
    public void setUrgeTitle(String urgeTitle) 
    {
        this.urgeTitle = urgeTitle;
    }

    public String getUrgeTitle() 
    {
        return urgeTitle;
    }
    public void setUrgeType(String urgeType) 
    {
        this.urgeType = urgeType;
    }

    public String getUrgeType() 
    {
        return urgeType;
    }
    public void setUrgeContent(String urgeContent) 
    {
        this.urgeContent = urgeContent;
    }

    public String getUrgeContent() 
    {
        return urgeContent;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setIssuer(String issuer) 
    {
        this.issuer = issuer;
    }

    public String getIssuer() 
    {
        return issuer;
    }
    public void setIssuerId(Long issuerId) 
    {
        this.issuerId = issuerId;
    }

    public Long getIssuerId() 
    {
        return issuerId;
    }
    public void setIssuerDept(String issuerDept) 
    {
        this.issuerDept = issuerDept;
    }

    public String getIssuerDept() 
    {
        return issuerDept;
    }
    public void setIssuerDeptId(Long issuerDeptId) 
    {
        this.issuerDeptId = issuerDeptId;
    }

    public Long getIssuerDeptId() 
    {
        return issuerDeptId;
    }
    public void setAcceptUser(String acceptUser) 
    {
        this.acceptUser = acceptUser;
    }

    public String getAcceptUser() 
    {
        return acceptUser;
    }
    public void setAcceptUserId(Long acceptUserId) 
    {
        this.acceptUserId = acceptUserId;
    }

    public Long getAcceptUserId() 
    {
        return acceptUserId;
    }
    public void setAcceptDept(String acceptDept) 
    {
        this.acceptDept = acceptDept;
    }

    public String getAcceptDept() 
    {
        return acceptDept;
    }
    public void setAcceptDeptId(Long acceptDeptId) 
    {
        this.acceptDeptId = acceptDeptId;
    }

    public Long getAcceptDeptId() 
    {
        return acceptDeptId;
    }
    public void setUrgeTime(Date urgeTime) 
    {
        this.urgeTime = urgeTime;
    }

    public Date getUrgeTime() 
    {
        return urgeTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("zxUrgeId", getZxUrgeId())
            .append("scoreId", getScoreId())
            .append("urgeTitle", getUrgeTitle())
            .append("urgeType", getUrgeType())
            .append("urgeContent", getUrgeContent())
            .append("status", getStatus())
            .append("issuer", getIssuer())
            .append("issuerId", getIssuerId())
            .append("issuerDept", getIssuerDept())
            .append("issuerDeptId", getIssuerDeptId())
            .append("acceptUser", getAcceptUser())
            .append("acceptUserId", getAcceptUserId())
            .append("acceptDept", getAcceptDept())
            .append("acceptDeptId", getAcceptDeptId())
            .append("urgeTime", getUrgeTime())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
